org.cpsolver.studentsct.report

## Class RequestPriorityTable

- java.lang.Object
- - org.cpsolver.studentsct.report.AbstractStudentSectioningReport
  - - org.cpsolver.studentsct.report.RequestPriorityTable

- All Implemented Interfaces:
    StudentSectioningReport, StudentSectioningReport.Filter

      public class RequestPriorityTable
      extends AbstractStudentSectioningReport

  This reports lists all the requested courses and their properties.
  Namely:
  - Alternative is 1 when the course was requested as an alternative (Primary is 0 or Alternativity is above 0)
  - Enrolled is 1 when the student is enrolled in the course
  - Primary is 1 when the request is from the Course Requests table, 0 when it is from the Alternate Course Requests table
  - Priority is the request's priority
  - Alternativity is the request's alternativity (0 for the primary course, 1 for the first alternative, 2 for the second alternative, etc.)
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2015 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.cpsolver.studentsct.report.AbstractStudentSectioningReport

      `AbstractStudentSectioningReport.CourseMatcher, AbstractStudentSectioningReport.RequestMatcher`

    - ### Nested classes/interfaces inherited from interface org.cpsolver.studentsct.report.StudentSectioningReport

      `StudentSectioningReport.Filter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestPriorityTable(StudentSectioningModel model)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CSVFile` | `createTable(Assignment<Request,Enrollment> assignment, DataProperties properties)`

    - ### Methods inherited from class org.cpsolver.studentsct.report.AbstractStudentSectioningReport

      `create, getModel, isUseAmPm, matches, matches, matches, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestPriorityTable

          public RequestPriorityTable(StudentSectioningModel model)

      Constructor
      Parameters:
        `model` - student sectioning model

  - ### Method Detail

    - #### createTable

          public CSVFile createTable(Assignment<Request,Enrollment> assignment,
                                     DataProperties properties)

      Specified by:
        `createTable` in class `AbstractStudentSectioningReport`